## pimentech-dbutils 1.0.22-1

=== src/python/Makefile ===
include ../../rules/make.rules

NAME = python

PYTHONFILES = ${wildcard *.py}
SHELLFILES = ${SHELLDIR}/pgml2sql.py ${SHELLDIR}/pgml2dot.py ${SHELLDIR}/pgml2ldb.py ${SHELLDIR}/simplify-pgml.py \
			${SHELLDIR}/pgtml2insert.py ${SHELLDIR}/pgtml2select.py ${SHELLDIR}/pgtml2update.py \
			${SHELLDIR}/pgtml2iphp.py ${SHELLDIR}/pgtml2sphp.py ${SHELLDIR}/pgtml2uphp.py \
			${SHELLDIR}/pgtml2form.py ${SHELLDIR}/pgtml2zope.py ${SHELLDIR}/dtd2pgml.py ${SHELLDIR}/xml2db.py \
			${SHELLDIR}/qmlserv.py ${SHELLDIR}/pgml2ssql.py

all: # doc

doc: doc.ok

doc.ok: ${PYTHONFILES} ${SRCDOCDIR}/python
	@echo "doing $@"
	@for pythonfile in ${PYTHONFILES}; \
	do \
		gendoc -d ${SRCDOCDIR}/python/ ./$${pythonfile}; \
	done
	@date > $@

install: all ${SHELLFILES}

copy.ok: ${PYTHONDIR} ${PYTHONFILES}
	@echo "installing ${NAME} files"
	@if [ -n "${PYTHONFILES}" ]; then cp ${PYTHONFILES} ${PYTHONDIR}; fi
	@date > $@

clean:
	@rm -rf *~ *.pyc *.ok

${PYTHONDIR}:
	@echo "creating $@"
	@mkdir -p ${PYTHONDIR}

${SHELLDIR}:
	@echo "creating $@"
	@mkdir -p ${SHELLDIR}

${SRCDOCDIR}/python:
	@echo "doing $@"
	@mkdir -p $@

${SHELLDIR}/pgml2sql.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgml2sql.py .; \
	fi

${SHELLDIR}/pgml2ssql.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgml2ssql.py .; \
	fi

${SHELLDIR}/pgml2dot.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgml2dot.py .; \
	fi

${SHELLDIR}/pgml2ldb.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgml2ldb.py .; \
	fi

${SHELLDIR}/simplify-pgml.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/simplify-pgml.py .; \
	fi

${SHELLDIR}/pgtml2insert.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2insert.py .; \
	fi

${SHELLDIR}/pgtml2select.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2select.py .; \
	fi

${SHELLDIR}/pgtml2update.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2update.py .; \
	fi

${SHELLDIR}/pgtml2form.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2form.py .; \
	fi

${SHELLDIR}/pgtml2iphp.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2iphp.py .; \
	fi

${SHELLDIR}/pgtml2sphp.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2sphp.py .; \
	fi

${SHELLDIR}/pgtml2uphp.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2uphp.py .; \
	fi

${SHELLDIR}/pgtml2zope.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/pgtml2zope.py .; \
	fi

${SHELLDIR}/dtd2pgml.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/dtd2pgml.py .; \
	fi

${SHELLDIR}/xml2db.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/xml2db.py .; \
	fi

${SHELLDIR}/xtex2latex.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/xtex2latex.py .; \
	fi

${SHELLDIR}/qmlserv.py: ${SHELLDIR} copy.ok
	@if [ ! -L $@ ] ; \
	then \
		cd ${SHELLDIR};ln -sf ${RELPYTHONSHELLPATH}/qmlserv.py .; \
	fi

=== debian/changelog ===
pimentech-dbutils (1.0.22-1) unstable; urgency=low

  * bug fix in exec-sql.sh

 -- root <ramon@pimentech.net>  Fri, 17 Jan 2003 13:27:33 +0100

pimentech-dbutils (1.0.21-1) unstable; urgency=low

  * new tag update-or-insert in qmlserv

 -- root <ramon@pimentech.net>  Fri, 20 Dec 2002 18:42:54 +0100

pimentech-dbutils (1.0.20-1) unstable; urgency=low

  * Minor bug fix on csvdb.py, no more mandatory sql transaction on all file

 -- root <ramon@pimentech.net>  Mon, 16 Dec 2002 12:14:00 +0100

pimentech-dbutils (1.0.19-1) unstable; urgency=low

  * Another Bug fix in error handling in qmldb (qmlserv middleware)

 -- root <ramon@pimentech.net>  Wed, 11 Dec 2002 21:12:27 +0100

pimentech-dbutils (1.0.18-1) unstable; urgency=low

  * Bug fix in qmldb (qmlserv middleware)

 -- root <ramon@pimentech.net>  Wed, 11 Dec 2002 16:25:44 +0100

pimentech-dbutils (1.0.17-1) unstable; urgency=high

  * expect cooking for long lines

 -- root <ramon@pimentech.net>  Tue, 12 Nov 2002 18:14:53 +0100

pimentech-dbutils (1.0.16-1) unstable; urgency=high

  * adding handling of postgresql with trust authentication and postgresql 7.1

 -- root <ramon@pimentech.net>  Sat,  9 Nov 2002 20:19:56 +0100

pimentech-dbutils (1.0.15-1) stable; urgency=high

  * complete rewritten of all postgresql scripts (expect code)

 -- root <ramon@pimentech.net>  Sat,  9 Nov 2002 17:16:19 +0100

pimentech-dbutils (1.0.14-1) unstable; urgency=high

  * Bug fix in dump-db.sh : avoiding expect for postgresql versions < 7.2

 -- root <ramon@pimentech.net>  Sat,  9 Nov 2002 00:58:45 +0100

pimentech-dbutils (1.0.13-1) unstable; urgency=high

  * Bug fix in all postgresql scripts (expect code)

 -- root <ramon@pimentech.net>  Fri,  8 Nov 2002 20:29:47 +0100

pimentech-dbutils (1.0.12-1) unstable; urgency=high

  * Bug fix in all postgresql scripts (expect code), compact dump option in dump-db.sh and replic-db.sh

 -- root <ramon@pimentech.net>  Fri,  8 Nov 2002 15:54:44 +0100

pimentech-dbutils (1.0.11-1) unstable; urgency=high

  * Bug fix in all postgresql scripts (expect code)

 -- root <ramon@pimentech.net>  Thu,  7 Nov 2002 11:41:02 +0100

pimentech-dbutils (1.0.10-1) stable; urgency=low

  * rewritting of replic-sb.sh scripts for postgresql with expect for postgresql 7.2, Bug fix in dbhandler.py

 -- root <ramon@pimentech.net>  Wed, 23 Oct 2002 14:43:43 +0200

pimentech-dbutils (1.0.9-2) unstable; urgency=low

  * Bug fix in pgml2ssql

 -- root <ramon@pimentech.net>  Thu,  3 Oct 2002 16:15:04 +0200

pimentech-dbutils (1.0.9-1) unstable; urgency=low

  * Bug fix in pgml2sql, rewritting of wrapper scripts for postgresql with expect for postgresql 7.2

 -- root <ramon@pimentech.net>  Mon, 30 Sep 2002 15:46:57 +0200

pimentech-dbutils (1.0.8-1) unstable; urgency=low

  * Documentation and manpages

 -- Frederic de ZORZI <fredz@pimentech.net>  Thu, 29 Aug 2002 16:26:09 +0200

pimentech-dbutils (1.0.7-1) stable; urgency=low

  * cleaner csvdb.py

 -- root <ramon@pimentech.net>  Fri, 23 Aug 2002 12:19:13 +0200

pimentech-dbutils (1.0.6-1) unstable; urgency=low

  * french doc end wrappers added 

 -- root <ramon@pimentech.net>  Fri, 16 Aug 2002 17:32:03 +0200

pimentech-dbutils (1.0.5-1) unstable; urgency=high

  * Bug fix on dbhandler again

 -- root <ramon@pimentech.net>  Fri,  2 Aug 2002 15:49:02 +0200

pimentech-dbutils (1.0.4-1) unstable; urgency=high

  * Bug fix on dbhandler

 -- root <ramon@pimentech.net>  Fri,  2 Aug 2002 15:39:23 +0200

pimentech-dbutils (1.0.3-1) unstable; urgency=low

  * cleaner csvdb

 -- root <ramon@pimentech.net>  Fri,  2 Aug 2002 12:17:04 +0200

pimentech-dbutils (1.0.2-6) unstable; urgency=low

  * extract data now possible

 -- root <ramon@pimentech.net>  Thu, 30 May 2002 19:06:14 +0200

pimentech-dbutils (1.0.2-5) unstable; urgency=low

  * set datestyle to 'European' ; set datestyle to 'SQL'

 -- root <ramon@pimentech.net>  Wed, 29 May 2002 15:16:55 +0200

pimentech-dbutils (1.0.2-4) unstable; urgency=low

  * qmlserv with better logs

 -- root <ramon@pimentech.net>  Wed, 29 May 2002 13:09:51 +0200

pimentech-dbutils (1.0.2-3) unstable; urgency=low

  * qmlserv now with authentification and new qml for updates

 -- root <ramon@pimentech.net>  Tue, 28 May 2002 19:45:16 +0200

pimentech-dbutils (1.0.2-2) unstable; urgency=low

  * qml handles values between attribute tags

 -- Ramon Maceiras <ramon@pimentech.net>  Tue, 28 May 2002 12:02:30 +0200

pimentech-dbutils (1.0.2-1) unstable; urgency=low

  * new middleware qmlserv.py

 -- root <ramon@pimentech.net>  Mon, 27 May 2002 18:23:40 +0200

pimentech-dbutils (1.0.1-13) unstable; urgency=low

  * tables inherit unique constraints

 -- root <ramon@pimentech.net>  Thu, 14 Mar 2002 20:20:46 +0100

pimentech-dbutils (1.0.1-12) unstable; urgency=high

  * Bug fix on package

 -- root <ramon@pimentech.net>  Mon, 11 Mar 2002 12:08:15 +0100

pimentech-dbutils (1.0.1-11) unstable; urgency=high

  * Bug fix on package

 -- root <ramon@pimentech.net>  Mon, 11 Mar 2002 11:59:46 +0100

pimentech-dbutils (1.0.1-10) unstable; urgency=low

  * Added parent references indexes to pgml2sql

 -- root <ramon@pimentech.net>  Sun, 10 Mar 2002 16:46:14 +0100

pimentech-dbutils (1.0.1-9) unstable; urgency=low

  * Added constraints on pgml

 -- root <ramon@pimentech.net>  Thu, 14 Feb 2002 19:27:39 +0100

pimentech-dbutils (1.0.1-8) unstable; urgency=high

  * Bug fix on replic-db.sh

 -- Ramon Maceiras <ramon@pimentech.net>  Wed,  6 Feb 2002 10:55:29 +0100

pimentech-dbutils (1.0.1-7) unstable; urgency=high

  * Bug fix on replic-db.sh

 -- Ramon Maceiras <ramon@pimentech.net>  Thu, 24 Jan 2002 13:17:12 +0100

pimentech-dbutils (1.0.1-6) unstable; urgency=high

  * Bug fix on replic-db.sh

 -- root <ramon@pimentech.net>  Wed,  9 Jan 2002 12:17:56 +0100

pimentech-dbutils (1.0.1-5) unstable; urgency=low

  * Bug fix

 -- Ramon Maceiras <ramon@pimentech.net>  Tue,  9 Oct 2001 13:48:37 +0200

pimentech-dbutils (1.0.1-4) unstable; urgency=low



=== debian/control ===
Source: pimentech-dbutils
Section: devel
Priority: optional
Maintainer: Frederic de ZORZI <fredz@pimentech.net>
Standards-Version: 3.0.1

Package: pimentech-dbutils
Architecture: any
Depends: python-libcommon (>=1.0.4), python-xml, libxml-perl, expect5.31
Description: Design your (PostgreSQL) databases in XML
 With these tools, you can design your database (E.R schema) in XML, compute the SQL database
 generation code, the diagram (in dot), and other useful tools for database designers.
 Copyright (C) 2001 PimenTech SARL (http://www.pimentech.net)
 These tools are released under GPL.

## pimentech-dbutils 1.0.23-1

=== Makefile ===
include rules/make.rules

NAME=dbutils

all :
	@echo "doing $@"	
	@for i in ${NAMES} ; do \
	(echo "Entering $$i for $@" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} $@ ) ; \
	done

install : all
	@echo "doing $@"	
	@for i in ${NAMES} src/xml ; do \
	(echo "Entering $$i for $@" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} $@ ) ; \
	done

clean :
	@echo "doing $@"	
	@for i in ${NAMES} ; do \
	(echo "Entering $$i for $@" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} $@ ) ; \
	done
	@rm -f *~;

docs :
	@echo "doing $@"	
	@for i in ${NAMES} ; do \
	(echo "Entering $$i for doc" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} doc ) ; \
	done

edit :
	@xemacs Makefile rules/make.rules ${NAMES:%=%/Makefile} &

cvs-clean:
	@find . -name CVS -type d -exec rm -rf {} \;

deb:
	dpkg-buildpackage

=== doc/Makefile ===
include ../rules/make.rules

TBZS = ${wildcard *.tbz}
DOTS = ${wildcard *.dot}
DIAS = ${wildcard *.dia}
TEXS = ${wildcard *.tex}

TBUNZIPPEDS = ${TBZS:.tbz=.tbunzipped}
BIBS = ${TEXS:.bib=.bbl}
EPSS = ${wildcard *.eps} ${DOTS:.dot=.eps} ${DIAS:.dia=.eps}
PDFS = ${EPSS:.eps=.pdf} ${TEXS:.tex=.pdf}

all : doc

doc : ${EPSS} ${PDFS}

clean:
	@rm -f *.dvi *.tbunzipped *.ps *.log *.aux *.toc *.bbl *.blg *.jpg *.pdf *~ *.ok

edit :
	@echo "Editing sources ...." 
	@xemacs ${TEXS} Makefile &

install: install.ok

install.ok: all ${DOCDIR} ${PDFS}
	@echo "installing ${NAME} files"
	@if [ -n "${PDFS}" ]; then cp ${PDFS} ${DOCDIR}; fi
	@date > $@

${DOCDIR} :
	@echo "creating $@"
	@mkdir -p $@

=== man/Makefile ===
include ../rules/make.rules

MANDIR1=${MANDIR}/man1
MANDIR5=${MANDIR}/man5
MANFILES1= ${wildcard *.1}
MANFILES5= ${wildcard *.5}

all :

clean :

install: install.ok

install.ok: all ${MANDIR1} ${MANDIR5}
	@echo "installing man pages"
	@cp ${MANFILES1} ${MANDIR1} && cp ${MANFILES5} ${MANDIR5}
	@date > $@

${MANDIR1} :
	@echo "creating $@"
	@mkdir -p $@

${MANDIR5} :
	@echo "creating $@"
	@mkdir -p $@

=== src/shell/Makefile ===
include ../../rules/make.rules

NAME = shell

SHELLFILES = ${wildcard *.sh} ${wildcard *.pl} pgml2sql pgml2ssql pgml2dot simplify-pgml dtd2pgml pgtml2form pgtml2insert \
	pgtml2iphp pgtml2select pgtml2sphp pgtml2update pgtml2uphp qmlserv pgtml2zope xml2db

all: doc

doc: 

install: all copy.ok

copy.ok: ${SHELLDIR} ${SHELLFILES}
	@echo "installing ${NAME} files"
	@if [ -n "${SHELLFILES}" ]; then cp ${SHELLFILES} ${SHELLDIR}; fi
	@date > $@

clean:
	@rm -rf *~ *.ok

${SHELLDIR}:
	@echo "creating $@"
	@mkdir -p ${SHELLDIR}

=== src/xml/Makefile ===
DOCDIR=/usr/share/doc/pimentech-dbutils

NAME = xml

PGMLFILES = biblio.pgml
PGTMLFILES = biblio_new_user.pgtml
DTDFILES = ${wildcard *.dtd}

DOT = dot
PS2PDF = ps2pdf
EPSTOPDF = epstopdf

SUFFIXES = .ps .pdf .tex .dvi .bib .bbl .dot .eps .dia .gnumeric .tbz .tbunzipped \
		 .tgz .tgz_running .sql .xml .tgz .tgunzipped .csv .clst .lst .pl .py .sh .mak .php .php4 .html .htm .temp \
		.dot .sdot .pgml .pgtml .ssql .isql .usql .sphp .iphp .uphp .dtd

.SUFFIXES : ${SUFFIXES}

.pgml.sql:
	@echo "converting $< to $@"
	@pgml2sql -f $< -o $@

.pgml.dot: 
	@echo "converting $< to $@"
	@pgml2dot -f $< -o $@

.pgml.sdot: 
	@echo "converting $< to $@"
	@pgml2dot -f $< -o $@ -s

.pgml.spgml:
	@echo "converting $< to $@"
	@simplify-pgml -f $< -o $@ -u -i "uid int4 PRIMARY KEY default nextId()"

.spgml.ssql:
	@echo "converting $< to $@"
	@pgml2struct.pl -f $< -o $@ -s

.dtd.pgml:
	@echo "converting $< to $@"
	@dtd2pgml -f $< -o $@

.pgtml.ssql:
	@echo "converting $< to $@"
	@pgtml2select -f $< -s biblio.pgml -o $@

.pgtml.isql:
	@echo "converting $< to $@"
	@pgtml2insert -f $< -s biblio.pgml -o $@

.pgtml.usql:
	@echo "converting $< to $@"
	@pgtml2update -f $< -s biblio.pgml -o $@

.pgtml.html:
	@echo "converting $< to $@"
	@pgtml2form -f $< -s biblio.pgml -o $@

.pgtml.sphp:
	@echo "converting $< to $@"
	@pgtml2sphp -f $< -s biblio.pgml -o $@

.pgtml.iphp:
	@echo "converting $< to $@"
	@pgtml2iphp -f $< -s biblio.pgml -o $@

.pgtml.uphp:
	@echo "converting $< to $@"
	@pgtml2uphp -f $< -s biblio.pgml -o $@

.dot.eps:
	@echo "Compilation de $< en $@"
	@${DOT} -Tps -Nfontsize=4 -Efontsize=4 $< > $@

.sdot.eps:
	@echo "Compilation de $< en $@"
	@${DOT} -Tps -Nfontsize=4 -Efontsize=4 $< > $@

.ps.pdf:
	@echo "Compilation de $< en $@"
	@${PS2PDF} $< $@

.eps.pdf:
	@echo "Compilation de $< en $@"
	@${EPSTOPDF} $< --outfile=$@

SQLFILES = ${PGMLFILES:.pgml=.sql} \
			${PGTMLFILES:.pgtml=.ssql} \
			${PGTMLFILES:.pgtml=.isql} \
			${PGTMLFILES:.pgtml=.usql}

PHPFILES = ${PGTMLFILES:.pgtml=.sphp} \
			${PGTMLFILES:.pgtml=.iphp} \
			${PGTMLFILES:.pgtml=.uphp}


DOTFILES = ${PGMLFILES:.pgml=.dot} ${PGMLFILES:.pgml=.sdot}
HTMLFILES = ${PGTMLFILES:.pgtml=.html}
EPSFILES = ${DOTFILES:.dot=.eps} sbiblio.eps

all: ${SQLFILES} ${HTMLFILES} ${PHPFILES} ${DOTFILES} ${PDFS}

eps: ${EPSFILES}

install: ${DOCDIR}/examples
	@echo "installing ${NAME} files"
	@cp ${PGMLFILES} ${PGTMLFILES} ${DTDFILES} Makefile ${DOCDIR}/examples
	@cp ${DTDFILES} ${DOCDIR}

${DOCDIR}/examples :
	@echo "creating $@"
	@mkdir -p $@

clean:
	@rm -rf *~ *.sdot *.dot *.ssql *.isql *.usql *.html *.ok *.sphp *.iphp *.uphp *.eps

sbiblio.eps: biblio.sdot
	@echo "Compilation de $< en $@"
	@${DOT} -Tps $< > $@

=== debian/changelog ===
pimentech-dbutils (1.0.23-1) unstable; urgency=low

  * bug fix in exec-sql.sh

 -- root <ramon@pimentech.net>  Sat, 25 Jan 2003 16:32:19 +0100
